# AnchorLinkSharp

## Summary

| Members                                                                                                                                     | Descriptions                                                                                                                                                           |
| ------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `enum` [`LinkErrorCode`](#namespace_anchor_link_sharp_1a92a85044068cecc9fbc18797e0626208)                                                   |                                                                                                                                                                        |
| `class` [`AnchorLink`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-anchorlink.md)                               | Main class                                                                                                                                                             |
| `class` [`CancelException`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/exceptions/anchorlinksharp-cancelexception.md)          | Error that is thrown if a \[\[LinkTransport]] cancels a request.                                                                                                       |
| `class` [`ChannelInfo`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-channelinfo.md)                             |                                                                                                                                                                        |
| `class` [`Defaults`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-defaults.md)                                   |                                                                                                                                                                        |
| `class` [`IdentifyResult`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-identifyresult.md)                       | The result of a \[\[AnchorLink.identify]] call.                                                                                                                        |
| `class` [`IdentityException`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/exceptions/anchorlinksharp-identityexception.md)      | Error that is thrown if an identity request fails to verify.                                                                                                           |
| `class` [`LinkAbiData`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linkabidata.md)                             |                                                                                                                                                                        |
| `class` [`LinkCallback`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linkcallback.md)                           |                                                                                                                                                                        |
| `class` [`LinkChannelSession`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linkchannelsession.md)               | AnchorLink session that pushes requests over a channel.                                                                                                                |
| `class` [`LinkChannelSessionData`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linkchannelsessiondata.md)       |                                                                                                                                                                        |
| `class` [`LinkConstants`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linkconstants.md)                         |                                                                                                                                                                        |
| `class` [`LinkCreate`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linkcreate.md)                               |                                                                                                                                                                        |
| `class` [`LinkException`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/exceptions/anchorlinksharp-linkexception.md)              | Error codes. Accessible using the `code` property on errors thrown by \[\[AnchorLink]] and \[\[LinkSession]].                                                          |
| `class` [`LinkFallbackSession`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linkfallbacksession.md)             | AnchorLink session that sends every request over the transport.                                                                                                        |
| `class` [`LinkFallbackSessionData`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linkfallbacksessiondata.md)     |                                                                                                                                                                        |
| `class` [`LinkInfo`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linkinfo.md)                                   |                                                                                                                                                                        |
| `class` [`LinkOptions`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linkoptions.md)                             |                                                                                                                                                                        |
| `class` [`LinkSession`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linksession.md)                             | Type describing a anchorLink session that can create a eosjs compatible signature provider and transact for a specific auth.                                           |
| `class` [`LinkSessionDataBase`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linksessiondatabase.md)             |                                                                                                                                                                        |
| `class` [`LinkSessionDataConverter`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linksessiondataconverter.md)   |                                                                                                                                                                        |
| `class` [`LinkSignatureProvider`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linksignatureprovider.md)         |                                                                                                                                                                        |
| `class` [`LinkSignatureProviderArgs`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linksignatureproviderargs.md) |                                                                                                                                                                        |
| `class` [`LinkUtils`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-linkutils.md)                                 |                                                                                                                                                                        |
| `class` [`LoginResult`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-loginresult.md)                             | The result of a \[\[AnchorLink.login]] call.                                                                                                                           |
| `class` [`SealedMessage`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-sealedmessage.md)                         |                                                                                                                                                                        |
| `class` [`SerializedLinkSession`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-serializedlinksession.md)         |                                                                                                                                                                        |
| `class` [`SessionException`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/exceptions/anchorlinksharp-sessionexception.md)        | Error originating from a \[\[LinkSession]].                                                                                                                            |
| `class` [`TransactArgs`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-transactargs.md)                           | Payload accepted by the \[\[AnchorLink.transact]] method. Note that one of `action`, `actions` or `transaction` must be set.                                           |
| `class` [`TransactOptions`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-transactoptions.md)                     | Options for the \[\[AnchorLink.transact]] method.                                                                                                                      |
| `class` [`TransactResult`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-transactresult.md)                       | The result of a \[\[AnchorLink.transact]] call.                                                                                                                        |
| `class` [`WebSocketWrapper`](/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp/anchorlinksharp-websocketwrapper.md)                   |                                                                                                                                                                        |
| `interface` [`ILinkOptions`](#interface_anchor_link_sharp_1_1_i_link_options)                                                               | Available options when creating a new \[\[AnchorLink]] instance.                                                                                                       |
| `interface` [`ILinkStorage`](#interface_anchor_link_sharp_1_1_i_link_storage)                                                               | Interface storage adapters should implement.                                                                                                                           |
| `interface` [`ILinkTransport`](#interface_anchor_link_sharp_1_1_i_link_transport)                                                           | Protocol anchorLink transports need to implement. A transport is responsible for getting the request to the user, e.g. by opening request URIs or displaying QR codes. |

## Members

**`enum`** [**`LinkErrorCode`**](#namespace_anchor_link_sharp_1a92a85044068cecc9fbc18797e0626208)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://liquiidio.gitbook.io/unity-plugin-suite/anchorlink/api-docs/anchorlinksharp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
